<template>
  <div class="add-item">
    <h2>Add Item</h2>
    <AddItemForm @emitform="handleSubmit" />
  </div>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import AddItemForm from "@/components/AddItemForm.vue";
import { AddItemModel } from "@/interfaces/interfaces";
import ItemService from "@/services/ItemService";

@Component({
  components: {
    AddItemForm
  }
})
export default class AddItem extends Vue {
  private async handleSubmit(formData: AddItemModel) {
    const itemService = new ItemService();

    await itemService
      .AddItem(formData)
      .then(response => {
        if (response) {
          alert("item added");
        } else {
          alert("unable to add item");
          console.log("unable to add item");
        }
      })
      .catch(err => {
        alert(err);
        console.log(err);
      });
  }
}
</script>
